Name:           watchman
Version:        2.9.5
Release:        1%{?dist}
Summary:        Watches files and takes action when they change

License:        ASL 2.0 
URL:            https://github.com/facebook/watchman/

Source0:        %{name}-v%{version}.tar.gz

BuildRequires:  autoconf automake help2man pcre-devel
Requires:       pcre

%description
Watchman exists to watch files and record when they actually change. It
can also trigger actions (such as rebuilding assets) when matching files
change.

%prep
%setup -q -n %{name}-%{version}

%build
./autogen.sh
%configure \
   --with-pcre \
   --with-buildinfo="%{version}-%{release}"
# %%{?_smp_mflags} breaks the build, intentionally leaving off.
make

%install
%make_install

# Generate the manpage with help2man
mkdir -p %{buildroot}/%{_mandir}/man1/
help2man %{buildroot}/%{_bindir}/watchman -N > %{buildroot}/%{_mandir}/man1/%{name}.1

# We include README.markdown in %%doc below, and this installs in the
# wrong place anyway.
rm -rf %{buildroot}/%{_docdir}/%{name}-*

%files
%doc LICENSE README.markdown
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Fri May 31 2013 Ricky Elrod <codeblock@fedoraproject.org> - 2.5.2-0.1.20130531git
- Initial spec.
